[问题]关于skyeye make安装时出现的问题?

内核编译和嵌入式产品的设计与开发
回复
keendawn
帖子: 16
注册时间: 2007-07-02 21:48
送出感谢: 0
接收感谢: 0

[问题]关于skyeye make安装时出现的问题?

#1

帖子 keendawn » 2007-08-10 0:15

环境是ubutu 6.06
arm-elf-tools-20030314
skyeye-1.2-RC8-3

在解压后的skyeye目录中make时,最后出现如下错误提示:

utils/main/skyeye.c:274:17: error: bfd.h: No such file or directory
utils/main/skyeye.c: 在函数 ‘tea_load_exec’ 中:
utils/main/skyeye.c:280: 错误: ‘bfd’ 未声明 (在此函数内第一次使用)
utils/main/skyeye.c:280: 错误: (即使在一个函数内多次出现,每个未声明的标识符在 其
utils/main/skyeye.c:280: 错误: 所在的函数内只报告一次。)
utils/main/skyeye.c:280: 错误: ‘tmp_bfd’ 未声明 (在此函数内第一次使用)
utils/main/skyeye.c:281: 错误: ‘asection’ 未声明 (在此函数内第一次使用)
utils/main/skyeye.c:281: 错误: ‘s’ 未声明 (在此函数内第一次使用)
utils/main/skyeye.c:291: 错误: ‘bfd_object’ 未声明 (在此函数内第一次使用)
utils/main/skyeye.c:294: 错误: ‘bfd_error_file_ambiguously_recognized’ 未声明 (在此函数内第一次使用)
utils/main/skyeye.c:305: 错误: ‘SEC_LOAD’ 未声明 (在此函数内第一次使用)
utils/main/skyeye.c:336: 警告: 传递参数 2 (属于 ‘tea_write’) 给指针时目标与指针有/无符号不一致
make: *** [binary/skyeye.o] 错误 1
dl@dllpqh:~/Desktop/skyeye-v1$


好像是说找不到bfd.h,这个文件在那里呀?
我试着用make NO_DFD=1编译时,一开始就出现很多其他的错误!

请哪位指点一下!!
头像
内存不足
论坛版主
帖子: 3277
注册时间: 2005-08-18 18:43
送出感谢: 0
接收感谢: 1 次
联系:

#2

帖子 内存不足 » 2007-08-10 0:17

skype 都是编译好的 拿来就可以用,自己怎么Make ?搞到源码了?
໌→ iCookie Gtk Theme
໌→DropPlusBluetheme
กรัก กรัก`菠萝
keendawn
帖子: 16
注册时间: 2007-07-02 21:48
送出感谢: 0
接收感谢: 0

#3

帖子 keendawn » 2007-08-10 0:45

有编译好的,也有没编译的。再说,我说的是skyeye,不是skype
头像
内存不足
论坛版主
帖子: 3277
注册时间: 2005-08-18 18:43
送出感谢: 0
接收感谢: 1 次
联系:

#4

帖子 内存不足 » 2007-08-10 1:06

:shock: ............... :lol:
໌→ iCookie Gtk Theme
໌→DropPlusBluetheme
กรัก กรัก`菠萝
头像
nihui
帖子: 1746
注册时间: 2006-10-21 12:03
来自: Shanghai
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 nihui » 2007-08-10 7:51

binutils-dev
libbinutils-dev
或许这里面有。
编译也需要依赖的,叫做 BuildRequire...
.

私人空间
附有 Magic Linux 2.1 最新开发日志~


미안하다, 사랑한다


欢迎来 #xfce-cn 中文频道~~
keendawn
帖子: 16
注册时间: 2007-07-02 21:48
送出感谢: 0
接收感谢: 0

#6

帖子 keendawn » 2007-08-12 19:01

没有人遇到过这种情况吗?
keendawn
帖子: 16
注册时间: 2007-07-02 21:48
送出感谢: 0
接收感谢: 0

#7

帖子 keendawn » 2007-08-12 21:51

谢谢5楼的!!
安装了binutils-dev就可以了!

另:libbinutils-dev这个库找不到。
回复

回到 “内核及嵌入式开发”